summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--graphics/dia/dia.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/graphics/dia/dia.SlackBuild b/graphics/dia/dia.SlackBuild
index e5367f6fd8..ec7fcfb6af 100644
--- a/graphics/dia/dia.SlackBuild
+++ b/graphics/dia/dia.SlackBuild
@@ -52,12 +52,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;